Bug 226231 - Merge Review: passivetex
Merge Review: passivetex
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:20 EST by Nobody's working on this, feel free to take it
Modified: 2010-02-15 07:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 07:20:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhlavink: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:20:51 EST
Fedora Merge Review: passivetex

http://cvs.fedora.redhat.com/viewcvs/devel/passivetex/
Initial Owner: twaugh@redhat.com
Comment 1 Ondrej Vasik 2007-07-27 04:32:54 EDT
Package Change Request
======================
Package Name: passivetex
Updated Fedora Owners: ovasik@redhat.com
Comment 2 Michal Hlavinka 2009-12-10 12:48:02 EST
in short:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ MUST[1]: rpmlint must be run on every package. The output should be posted in the review
+ MUST: package named according to the Package Naming Guidelines
+ MUST: The spec file name must match the base package %{name}
- MUST[4,5]: The package must meet the Packaging Guidelines .
+ MUST: The package licensed with a Fedora approved license and meets the Licensing Guidelines
- MUST[2]: The License field in the package spec file matches the actual license
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
- MUST[3]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task
+ MUST: The package successfully compiles and builds into binary rpms on at least one primary architecture
+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
0 MUST: The spec file handles locales properly. This is done by using the %find_lang macro
0 MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
+ MUST: Packages must NOT bundle copies of system libraries
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker
+ MUST: Package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory
+ MUST: Package must not list a file more than once in the spec file's %files listings
+ MUST: Permissions on files must be set properly. Every %files section must include a %defattr(...) line.
+ MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ MUST: Each package must consistently use macros
+ MUST: The package must contain code, or permissable content
0 MUST: Large documentation files must go in a -doc subpackage
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application
0 MUST: Header files must be in a -devel package
0 MUST: Static libraries must be in a -static package
0 MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
0 MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package
0 MUST: devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built
0 MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
+ MUST: Packages must not own files or directories already owned by other packages
+ MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
+ MUST: All filenames in rpm packages must be valid UTF-8

and with comments:

1) rpmlint *.spec *.src.rpm noarch/*

passivetex.spec: W: no-%build-section
passivetex.src: W: no-%build-section
2 packages and 1 specfiles checked; 0 errors, 2 warnings

please add %build section even if empty

2)What is the LPPL license based on? It seems it should be "Copyright only" ( https://fedoraproject.org/wiki/Licensing/CopyrightOnly )

3)Source link is not valid

$ wget http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
--2009-12-10 18:37:32--  http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
Resolving www.tei-c.org.uk... 163.1.2.156
Connecting to www.tei-c.org.uk|163.1.2.156|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2009-12-10 18:37:32 ERROR 404: Not Found.

4) Missing info for patches

https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Every patch in spec file should contain a comment describing:
* why is that patch used - for example bug number
* upstream information - was it sent upstream (and when)? taken from upstream? was it accepted/rejected? is this patch "fedora specific" ?

5) wrong buildroot tag

https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

"""The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least %{name}, %{version} and %{release}"""

The recommended values for the BuildRoot tag is 

%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Btw, if used only for Fedora 10+, there's no need to define BuildRoot tag at all:

"""The RPM in Fedora 10 defines a default buildroot so in Fedora 10 and above it is no longer necessary to define a buildroot tag."""

Please fix these issues, thanks
Comment 3 Ondrej Vasik 2009-12-14 04:59:49 EST
(In reply to comment #2) 
> 1) rpmlint *.spec *.src.rpm noarch/*
> 
> passivetex.spec: W: no-%build-section
> passivetex.src: W: no-%build-section
> 2 packages and 1 specfiles checked; 0 errors, 2 warnings
> 
> please add %build section even if empty

Fixed - added empty build section..

> 2)What is the LPPL license based on? It seems it should be "Copyright only" (
> https://fedoraproject.org/wiki/Licensing/CopyrightOnly )

Changed to Copyright only - it was probably based on other distros...

> 3)Source link is not valid
> 
> $ wget http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
> --2009-12-10 18:37:32-- 
> http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
> Resolving www.tei-c.org.uk... 163.1.2.156
> Connecting to www.tei-c.org.uk|163.1.2.156|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 2009-12-10 18:37:32 ERROR 404: Not Found.

Correct link is http://www.tei-c.org.uk/Software/passivetex/passivetex.zip - so added only as a comment...

> 4) Missing info for patches
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> 
> Every patch in spec file should contain a comment describing:
> * why is that patch used - for example bug number
> * upstream information - was it sent upstream (and when)? taken from upstream?
> was it accepted/rejected? is this patch "fedora specific" ?

Info added, 5 years old patch, no connected bugzilla, upstream is dead ... and will never be alive again...

> 5) wrong buildroot tag
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
> 
> """The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least
> %{name}, %{version} and %{release}"""
> 
> The recommended values for the BuildRoot tag is 
> 
> %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> 
> Btw, if used only for Fedora 10+, there's no need to define BuildRoot tag at
> all:
> 
> """The RPM in Fedora 10 defines a default buildroot so in Fedora 10 and above
> it is no longer necessary to define a buildroot tag."""

Fixed

and built as passivetex-1.25-11.fc13.
Comment 4 Michal Hlavinka 2009-12-16 06:33:43 EST
(In reply to comment #3)
> (In reply to comment #2) 
> > 1) rpmlint *.spec *.src.rpm noarch/*
> > 
> > passivetex.spec: W: no-%build-section
> > passivetex.src: W: no-%build-section
> > 2 packages and 1 specfiles checked; 0 errors, 2 warnings
> > 
> > please add %build section even if empty
> 
> Fixed - added empty build section..

usually it's expected to have %build section between %prep and %install 

verified

> 
> > 2)What is the LPPL license based on? It seems it should be "Copyright only" (
> > https://fedoraproject.org/wiki/Licensing/CopyrightOnly )
> 
> Changed to Copyright only - it was probably based on other distros...

verified

> > 3)Source link is not valid
> > 
> > $ wget http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
> > --2009-12-10 18:37:32-- 
> > http://www.tei-c.org.uk/Software/passivetex/passivetex-1.25.zip
> > Resolving www.tei-c.org.uk... 163.1.2.156
> > Connecting to www.tei-c.org.uk|163.1.2.156|:80... connected.
> > HTTP request sent, awaiting response... 404 Not Found
> > 2009-12-10 18:37:32 ERROR 404: Not Found.
> 
> Correct link is http://www.tei-c.org.uk/Software/passivetex/passivetex.zip - so
> added only as a comment...

I'm getting :
"""
Connecting to www.tei-c.org.uk|163.1.2.156|:80... failed: Connection timed out.
Retrying.
"""
will retry later

> > 4) Missing info for patches
> > 
> > https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
> > 
> > Every patch in spec file should contain a comment describing:
> > * why is that patch used - for example bug number
> > * upstream information - was it sent upstream (and when)? taken from upstream?
> > was it accepted/rejected? is this patch "fedora specific" ?
> 
> Info added, 5 years old patch, no connected bugzilla, upstream is dead ... and
> will never be alive again...

verified

> > 5) wrong buildroot tag
> > 
> > https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
> > 
> > """The BuildRoot value MUST be below %{_tmppath}/ and MUST contain at least
> > %{name}, %{version} and %{release}"""
> > 
> > The recommended values for the BuildRoot tag is 
> > 
> > %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
> > 
> > Btw, if used only for Fedora 10+, there's no need to define BuildRoot tag at
> > all:
> > 
> > """The RPM in Fedora 10 defines a default buildroot so in Fedora 10 and above
> > it is no longer necessary to define a buildroot tag."""
> 
> Fixed

verified

> and built as passivetex-1.25-11.fc13.  

I'm waiting for upstream's web page getting back online. If the link is correct, I'll approve this review
Comment 5 Ondrej Vasik 2010-02-15 06:52:47 EST
changed URL to webarchives - to have something reachable, old page probably dead, built as passivetex-1.25-12.fc13
Comment 6 Michal Hlavinka 2010-02-15 07:20:23 EST
verified

Note You need to log in before you can comment on or make changes to this bug.